VectorLinux
October 25, 2014, 10:49:42 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2
  Print  
Author Topic: Logitech Webcam  (Read 3792 times)
edgeofthewoods
Member
*
Posts: 62


« on: March 14, 2009, 11:12:56 am »



Just got a new Logitech webcam Quick Chat. However it can not get to work at all in VL 6.0.
Here is my LSUSB:
Code:
root:# lsusb
Bus 001 Device 004: ID 0bda:0111 Realtek Semiconductor Corp. Card Reader
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 005: ID 046d:092e Logitech, Inc. QuickCam Chat
Bus 002 Device 003: ID 03f0:2f11 Hewlett-Packard PSC 1200
Bus 002 Device 002: ID 04d9:0499 Holtek Semiconductor, Inc.
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

I did some searching and found that the driver is qc-usb-messenger-1.8

I downloaded it and extracted it and then tried to complie here is the error I get
Code:
root:# make all
make -C "/lib/modules/2.6.27.12/build" SUBDIRS="/home/charles/qc-usb-messenger-1.8" modules V=1 USER_OPT="-DHAVE_UTSRELEASE_H=1"
make[1]: Entering directory `/usr/src/linux-2.6.27.12'
test -e include/linux/autoconf.h -a -e include/config/auto.conf || ( \
echo; \
echo "  ERROR: Kernel configuration is invalid."; \
echo "         include/linux/autoconf.h or include/config/auto.conf are missing."; \
echo "         Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo; \
/bin/false)
mkdir -p /home/charles/qc-usb-messenger-1.8/.tmp_versions ; rm -f /home/charles/qc-usb-messenger-1.8/.tmp_versions/*
make -f scripts/Makefile.build obj=/home/charles/qc-usb-messenger-1.8
  gcc -Wp,-MD,/home/charles/qc-usb-messenger-1.8/.qc-driver.o.d  -nostdinc -isystem /usr/lib/gcc/i486-slackware-linux/4.2.3/include -D__KERNEL__ -Iinclude  -I/usr/src/linux-2.6.27.12/arch/x86/include -include include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -O2 -m32 -msoft-float -mregparm=3 -freg-struct-return -mpreferred-stack-boundary=2 -march=i586 -mtune=generic -ffreestanding -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -Iinclude/asm-x86/mach-default -fno-stack-protector -fomit-frame-pointer -Wdeclaration-after-statement -Wno-pointer-sign -DNOKERNEL -DHAVE_UTSRELEASE_H=1 -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(qc_driver)"  -D"KBUILD_MODNAME=KBUILD_STR(qcmessenger)" -c -o /home/charles/qc-usb-messenger-1.8/qc-driver.o /home/charles/qc-usb-messenger-1.8/qc-driver.c
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_frame_exit':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:1619: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:1630: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_frame_get':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:1659: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:1666: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_v4l_open':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2688: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2693: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2708: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2714: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2716: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_v4l_close':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2750: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2752: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2767: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2770: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_v4l_read':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2804: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2826: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_v4l_mmap':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2855: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2862: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_v4l_ioctl':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2884: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:2898: error: 'struct video_device' has no member named 'type'
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3455: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c: At top level:
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3487: error: unknown field 'type' specified in initializer
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_usb_init':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3550: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3556: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3559: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3564: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3665: error: 'struct input_dev' has no member named 'private'
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3772: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3774: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3784: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3791: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:3679: warning: ignoring return value of 'input_register_device', declared with attribute warn_unused_result
/home/charles/qc-usb-messenger-1.8/qc-driver.c: In function 'qc_usb_disconnect':
/home/charles/qc-usb-messenger-1.8/qc-driver.c:4060: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:4062: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:4075: error: request for member 'counter' in something not a structure or union
/home/charles/qc-usb-messenger-1.8/qc-driver.c:4079: error: request for member 'counter' in something not a structure or union
make[2]: *** [/home/charles/qc-usb-messenger-1.8/qc-driver.o] Error 1
make[1]: *** [_module_/home/charles/qc-usb-messenger-1.8] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.27.12'
make: *** [qcmessenger.ko] Error 2
thrudheim://home/charles/qc-usb-messenger-1.8]

Here is the code for wxcam started in terminal
(Yeah I know I was root at the time  opps:) )
Code:
root:# wxcam
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:465: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:469: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:480: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:484: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:495: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:499: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:510: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:514: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:525: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:530: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:541: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:545: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:556: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:560: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:571: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:575: Overlay image options specified without filename
Determining video4linux API version...
Using video4linux 2 API
V4L2_CID_BRIGHTNESS is not supported
V4L2_CID_CONTRAST is not supported
V4L2_CID_GAMMA is not supported
V4L2_CID_SATURATION is not supported
Using V4L2_PIX_FMT_YUV420 pixel format

So any ideas on this?
This was tried on 2 machines on a Dell Optiplex and my HP Both are running VL 6.0 Final Deluxe, (Hey got to support VL!!)
The Webcam utility see the cam but I get no image or static and rainbow colors. Hmm
Attached is the image I get
Thanks folks
Chuck
« Last Edit: March 14, 2009, 11:30:42 am by edgeofthewoods » Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #1 on: March 14, 2009, 11:40:11 am »

What is the output of /sbin/lsmod?

AFAIK, that cam uses the gspca driver.
http://mxhaard.free.fr/spca50x/Download/gspcav1-20071224.tar.gz
They have some install scripts. VL includes some gspca drivers but they are obviously not working. Install the ones I linked, remove the offending modules with modprobe -r (one is gspca_<some model code here> and gspca_main) and insert the new installed module with modprobe gspca.

HTH
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
edgeofthewoods
Member
*
Posts: 62


« Reply #2 on: March 14, 2009, 12:07:59 pm »

Thanks hre is my /sbin/lsmod

Code:
localuser:root being added to access control list
thrudheim://home/charles
root:# /sbin/lsmod
Module                  Size  Used by
gspca_spca561          10880  0
gspca_main             20352  1 gspca_spca561
videodev               33792  1 gspca_main
v4l1_compat            14852  1 videodev
snd_seq_dummy           3716  0
snd_seq_oss            31872  0
snd_seq_midi_event      6912  1 snd_seq_oss
snd_seq                48368  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          7436  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            37408  0
snd_mixer_oss          15104  1 snd_pcm_oss
powernow_k8            13956  1
speedstep_lib           4740  0
freq_table              4352  1 powernow_k8
fuse                   53788  2
firewire_ohci          21764  0
firewire_core          36128  1 firewire_ohci
crc_itu_t               2688  1 firewire_core
snd_hda_codec_realtek   190340  1
snd_hda_intel          25544  2
snd_hda_codec          60928  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               7812  1 snd_hda_codec
snd_pcm                67972  3 snd_pcm_oss,snd_hda_intel,snd_hda_codec
snd_timer              19976  2 snd_seq,snd_pcm
rtc_cmos               10144  0
rtc_core               15132  1 rtc_cmos
rtc_lib                 3328  1 rtc_core
ohci1394               28976  0
k8temp                  4992  0
nvidia               7094788  24
snd                    51492  16 snd_seq_dummy,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
ieee1394               78148  1 ohci1394
soundcore               7008  1 snd
forcedeth              52496  0
usblp                  12416  0
snd_page_alloc          8840  2 snd_hda_intel,snd_pcm
i2c_nforce2             7044  0
i2c_core               21268  2 nvidia,i2c_nforce2
evdev                  10144  3
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #3 on: March 14, 2009, 12:11:04 pm »

Yups, looks like the case,

Code:
modprobe -r gspca_spca561 && modprobe -r gspca_main

You shouldn't have problems compiling the new driver, you just need the kernel sources.
After installing

Code:
modprobe gspca

Should do it.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
edgeofthewoods
Member
*
Posts: 62


« Reply #4 on: March 15, 2009, 08:44:44 am »

OK Got the modules removed, but when I try to complie I get this error. Never had the before with 5.9. I checked my kernal sources and this is what comes up

 VectorLinux linux-2.6.27.12 kernel source.

Code:
thrudheim://home/charles/gspcav1-20071224
root:# make
make -C /lib/modules/`uname -r`/build SUBDIRS=/home/charles/gspcav1-20071224 CC=cc modules
make[1]: Entering directory `/usr/src/linux-2.6.27.12'
  CC [M]  /home/charles/gspcav1-20071224/gspca_core.o
/home/charles/gspcav1-20071224/gspca_core.c:54:27: error: asm/semaphore.h: No such file or directory
/home/charles/gspcav1-20071224/gspca_core.c: In function 'spca5xx_ioctl':
/home/charles/gspcav1-20071224/gspca_core.c:2463: error: implicit declaration of function 'video_usercopy'
/home/charles/gspcav1-20071224/gspca_core.c: At top level:
/home/charles/gspcav1-20071224/gspca_core.c:2609: error: unknown field 'owner' specified in initializer
/home/charles/gspcav1-20071224/gspca_core.c:2609: warning: initialization from incompatible pointer type
/home/charles/gspcav1-20071224/gspca_core.c:2611: error: unknown field 'type' specified in initializer
/home/charles/gspcav1-20071224/gspca_core.c: In function 'spca50x_create_sysfs':
/home/charles/gspcav1-20071224/gspca_core.c:2769: error: implicit declaration of function 'video_device_create_file'
/home/charles/gspcav1-20071224/gspca_core.c:2780: error: implicit declaration of function 'video_device_remove_file'
/home/charles/gspcav1-20071224/gspca_core.c: In function 'spca5xx_probe':
/home/charles/gspcav1-20071224/gspca_core.c:4301: error: incompatible types in assignment
make[2]: *** [/home/charles/gspcav1-20071224/gspca_core.o] Error 1
make[1]: *** [_module_/home/charles/gspcav1-20071224] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.27.12'
make: *** [default] Error 2
thrudheim://home/charles/gspcav1-20071224
root:#

So what am I missing?

Thanks

Chuck
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #5 on: March 15, 2009, 12:43:29 pm »

Sorry I didn't realize that we have to apply a patch for 2.6.27 kernels. Pretty embarrassing because I have my web cam working, which means that I compiled and applied the patch a few weeks ago  Roll Eyes

From the source directory  run this:

Code:
wget http://www.slackware.com/~alien/slackbuilds/gspcav1/build/gspca_kernel_2.6.27.diff

to get the patch, then

Code:
patch -p1 <gspca_kernel_2.6.27.diff

to apply the patch.
Now try to build and install again.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
edgeofthewoods
Member
*
Posts: 62


« Reply #6 on: March 15, 2009, 02:42:58 pm »

Sorry I didn't realize that we have to apply a patch for 2.6.27 kernels. Pretty embarrassing because I have my web cam working, which means that I compiled and applied the patch a few weeks ago  Roll Eyes

From the source directory  run this:

Code:
wget http://www.slackware.com/~alien/slackbuilds/gspcav1/build/gspca_kernel_2.6.27.diff

to get the patch, then

Code:
patch -p1 <gspca_kernel_2.6.27.diff

to apply the patch.
Now try to build and install again.


OK here is what I get.

Code:
thrudheim:/~
charles:$ wget http://www.slackware.com/~alien/slackbuilds/gspcav1/build/gspca_kernel_2.6.27.diff
--2009-03-15 16:39:03--  http://www.slackware.com/~alien/slackbuilds/gspcav1/build/gspca_kernel_2.67.diff
Resolving www.slackware.com... 64.57.102.34
Connecting to www.slackware.com|64.57.102.34|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2573 (2.5K) [text/plain]
Saving to: `gspca_kernel_2.6.27.diff.1'

100%[===========================================================>] 2,573       --.-K/s   in 0s

2009-03-15 16:39:03 (176 MB/s) - `gspca_kernel_2.6.27.diff.1' saved [2573/2573]

thrudheim:/~
charles:$ patch -p1 <gspca_kernel_2.6.27.diff
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -uarN gspcav1-20071224.orig/gspca.h gspcav1-20071224/gspca.h
|--- gspcav1-20071224.orig/gspca.h      2007-12-24 17:56:47.000000000 +0100
|+++ gspcav1-20071224/gspca.h   2008-12-08 14:30:57.000000000 +0100
--------------------------
File to patch:


Which file to patch? I have the gspcav1-20071224 as a file on in my home directory that I un tarred and saved. I do I apply a patch to it or the module gspca that I removed earlier?  Hmm lots of fun getting this webcam to work.

Thanks for you help


Chuck
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #7 on: March 15, 2009, 02:48:53 pm »

You have to put the patch into the untarred source dir of gspca, like thrudheim:/gspca1-20071224 and run the command from there.
You apply the patch to the source code, the patch will modify gspca.h to suit the new kernel version.

HTH
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
edgeofthewoods
Member
*
Posts: 62


« Reply #8 on: March 15, 2009, 03:17:31 pm »

Nope it's atill a no go. Looks like when I need my webcam I'll boot up a debian version and for regular work it'll will be Vector.

CHuck
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #9 on: March 15, 2009, 03:29:30 pm »

If you paste me the error you get I might be able to help you.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #10 on: March 15, 2009, 03:35:08 pm »

Here are the detailed commands to install the module.

Code:
wget http://mxhaard.free.fr/spca50x/Download/gspcav1-20071224.tar.gz
tar xvf gspcav1-20071224.tar.gz && cd gspcav1-20071224
wget http://www.slackware.com/~alien/slackbuilds/gspcav1/build/gspca_kernel_2.6.27.diff
patch -p1 <gspca_kernel_2.6.27.diff
make && make install
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
edgeofthewoods
Member
*
Posts: 62


« Reply #11 on: March 15, 2009, 04:48:54 pm »

Same thing as before; Below is the code from the make&&make install and wxcam from the terminal

Code:
root:# make && make install
make -C /lib/modules/`uname -r`/build SUBDIRS=/home/charles/gspcav1-20071224 CC=cc modules
make[1]: Entering directory `/usr/src/linux-2.6.27.12'
  CC [M]  /home/charles/gspcav1-20071224/gspca_core.o
  CC [M]  /home/charles/gspcav1-20071224/decoder/gspcadecoder.o
  LD [M]  /home/charles/gspcav1-20071224/gspca.o
  Building modules, stage 2.
  MODPOST 1 modules
WARNING: "video_device_release" [/home/charles/gspcav1-20071224/gspca.ko] undefined!
WARNING: "video_usercopy" [/home/charles/gspcav1-20071224/gspca.ko] undefined!
WARNING: "video_register_device" [/home/charles/gspcav1-20071224/gspca.ko] undefined!
WARNING: "video_device_alloc" [/home/charles/gspcav1-20071224/gspca.ko] undefined!
WARNING: "video_unregister_device" [/home/charles/gspcav1-20071224/gspca.ko] undefined!
WARNING: "video_devdata" [/home/charles/gspcav1-20071224/gspca.ko] undefined!
  CC      /home/charles/gspcav1-20071224/gspca.mod.o
  LD [M]  /home/charles/gspcav1-20071224/gspca.ko
make[1]: Leaving directory `/usr/src/linux-2.6.27.12'
mkdir -p /lib/modules/`uname -r`/kernel/drivers/usb/media/
rm -f /lib/modules/`uname -r`/kernel/drivers/usb/media/spca5xx.ko
rm -f /lib/modules/`uname -r`/kernel/drivers/media/video/gspca.ko
install -c -m 0644 gspca.ko /lib/modules/`uname -r`/kernel/drivers/usb/media/
/sbin/depmod -ae
thrudheim://home/charles/gspcav1-20071224
root:# wxcam
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:465: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:469: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:480: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:484: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:495: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:499: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:510: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-horiz.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:514: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:525: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:530: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:541: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:545: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:556: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:560: Overlay image options specified without filename
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:571: Unable to locate image file in pixmap_path: "Scrollbars/scroll-thumb-vert.png"
/usr/share/themes/VL-Style/gtk-2.0/gtkrc:575: Overlay image options specified without filename
Determining video4linux API version...
Using video4linux 2 API
V4L2_CID_BRIGHTNESS is not supported
V4L2_CID_CONTRAST is not supported
V4L2_CID_GAMMA is not supported
V4L2_CID_SATURATION is not supported
Using V4L2_PIX_FMT_YUV420 pixel format


Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #12 on: March 15, 2009, 04:58:01 pm »

Looks like the module installed fine, you have to modprobe it before the camera can function.
Remove the previous modules if they are still loaded with the modprobe -r command from my previous post, and then

Code:
modprobe gspca

Now you can try wxcam.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
edgeofthewoods
Member
*
Posts: 62


« Reply #13 on: March 15, 2009, 06:11:05 pm »

Thanks but still nothing.
Same image as the one I posted earlier

Thanks again

Chuck
Logged
edgeofthewoods
Member
*
Posts: 62


« Reply #14 on: March 22, 2009, 12:26:46 pm »

Sorry for the long delay, to many things going on and such. I got it to work using the code you gave me,only after I removed all the other driver attemps. Thanks for all the help!!

Chuck
Logged
Pages: [1] 2
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!